
#ifndef _GED_H_
#define _GED_H_

#include "std.h"
#include <sys/types.h>
#include <sys/bios.h>
#include "stdlib.h"

#define GED

enum {
	ID_SYS_REBOOT = 1, ID_SYS_VERSION,
	ID_FILE_EXEC = 10, ID_FILE_REMOTE, ID_FILE_LOAD, ID_FILE_SAVE, ID_FILE_COPYTO, ID_FILE_DELETE, ID_FILE_INFO,
	ID_GROUP_FLASH_SRAM = 20, ID_GROUP_FLASH, ID_GROUP_SRAM, ID_GROUP_SYSTEM,
	ID_VIEW_ICON_LIST = 30, ID_VIEW_ICON, ID_VIEW_LIST, ID_VIEW_WALLPAPER,
	ID_TOOL_TRACE = 40, ID_TOOL_DEFLAG, ID_TOOL_ERASE, ID_TOOL_CHARMAP,
};

typedef struct {
	int wp;
	int trace;
} Options;

extern Options options;

#endif _GED_H_
